<!DOCTYPE html>
<html>
	<head>
	<title>HTML 5 Geolocation Sample Page</title>
	<script src="Resources/modernizr-2.5.2.js"></script>
	<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBBGSX_62fZmraFd-FNm2OWFesftMSOt5g&sensor=false" type="text/javascript"></script>
	<script src="Resources/jquery-1.6.1.min.js"></script>
	<script type="text/javascript">
		var jQ = jQuery.noConflict();
		
		var latitude;
		var longitude;
		var geocoder;
		var map;
		var markersArray = [];
		var zoom = 18;
		
		function useGeolocation(position) {
			latitude = position.coords.latitude;
			longitude = position.coords.longitude;
	
			jQ("#latitude").val(latitude);
			jQ("#longitude").val(longitude);
			startMap();
		}
		
		function setMarkerLatLon(whereTo) {
			jQ("#latitude").val(latitude);
			jQ("#longitude").val(longitude);
		}
		
		function onGeolocationError(error) {
			alert("Geolocation error - code: " + error.code + " message : " + error.message);
		}
		
		
		jQ(document).ready(function(){
		
			if(navigator.geolocation){
			
				jQ("#geolocation").html("is supported.");
				navigator.geolocation.getCurrentPosition(useGeolocation, onGeolocationError);
			}
			else if(Modernizr.geolocation) {
				jQ("#geolocation").html("is supported.");
				navigator.geolocation.getCurrentPosition(useGeolocation, onGeolocationError);
				
			} else {
				jQ("#geolocation").html("is not supported.");
			}
			
		});
		
		
		function startMap() {
		  var myOptions = {
			zoom: zoom,
			center: new google.maps.LatLng(latitude, longitude),
			mapTypeId: google.maps.MapTypeId.HYBRID 
		  }
		  map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
		var latlon = new google.maps.LatLng(latitude, longitude);
		placeMarker(latlon)
		  google.maps.event.addListener(map, 'click', function(event){ placeMarker(event.latLng); });
		  findAddress();
		}
		
		function placeMarker(whereTo){
			var markerOptions = {
				position: new google.maps.LatLng(whereTo.lat(), whereTo.lng()),
				map: map
			}		  
			deleteOverlays();
			var marker = new google.maps.Marker(markerOptions);
			latitude = whereTo.lat();
			longitude = whereTo.lng();
			setMarkerLatLon();
			markersArray.push(marker);  
			findAddress();
		}
		
		  function findAddress() {
			var latlng = new google.maps.LatLng(latitude, longitude);
			geocoder = new google.maps.Geocoder();
			geocoder.geocode({'latLng': latlng}, function(results, status) {
			  if (status == google.maps.GeocoderStatus.OK) {
				if (results[1]) {
				  jQ('#Address').html(results[1].formatted_address);  
				}
			  } else {
				alert("Geocoder failed due to: " + status);
			  }
			});
		  }
		
		
		function deleteOverlays() {
		  if (markersArray) {
			for (i in markersArray) {
			  markersArray[i].setMap(null);
			}
			markersArray.length = 0;
		  }
		}
		
		function changeMap(){
			latitude = jQ("#latitude").val();
			longitude = jQ("#longitude").val();
			zoom = map.zoom;
			startMap();
		}
		
	
	</script>
	</head>
	<body>
<b>Geolocation</b> : <span id="geolocation"></span> <br />
<b>Latitude</b> : <input onkeydown="if (event.keyCode == 13) changeMap()" type="text" id="latitude" ></input> <br />
<b>Longitude</b> : <input onkeydown="if (event.keyCode == 13) changeMap()" type="text" id="longitude"></input> <button onclick="changeMap()">Go</button> <br /> 
<b>Address</b> : <span id='Address'></span> <br />
<button onclick="startMap()">Center Map</button>
<div id="map_canvas" style="width: 700px; height: 600px"></div>
</body>
</html>